argh! this multiple patches per file is annoying.

This commit is contained in:
brad 2003-02-16 00:17:29 +00:00
parent c7007e8a55
commit 67147965c2

View File

@ -1,12 +1,24 @@
$OpenBSD: patch-autoheader_sh,v 1.2 2003/02/16 00:04:52 brad Exp $
--- autoheader.sh.orig Sat Feb 15 18:57:39 2003
+++ autoheader.sh Sat Feb 15 18:57:39 2003
@@ -185,7 +185,7 @@ if test -n "$syms"; then
# Some fgrep's have limits on the number of lines that can be in the
# pattern on the command line, so use a temporary file containing the
# pattern.
- (fgrep_tmp=${TMPDIR-/tmp}/autoh$$
+ (fgrep_tmp=`mktemp ${TMPDIR-/tmp}/autoh.XXXXXXXXXX` || exit 1
trap "rm -f $fgrep_tmp; exit 1" 1 2 15
cat > $fgrep_tmp <<EOF
$syms
$OpenBSD: patch-autoheader_sh,v 1.3 2003/02/16 00:17:29 brad Exp $
--- autoheader.sh.orig Sat Feb 15 19:03:48 2003
+++ autoheader.sh Sat Feb 15 19:10:03 2003
@@ -110,19 +110,10 @@ else
use_localdir=
fi
-# Use the frozen version of Autoconf if available.
-r= f=
-# Some non-GNU m4's don't reject the --help option, so give them /dev/null.
-case `$M4 --help < /dev/null 2>&1` in
-*reload-state*) test -r $AC_MACRODIR/autoheader.m4f && { r=--reload f=f; } ;;
-*traditional*) ;;
-*) echo Autoconf requires GNU m4 1.1 or later >&2; exit 1 ;;
-esac
-
# Extract assignments of SYMS, TYPES, FUNCS, HEADERS, and LIBS from the
# modified autoconf processing of the input file. The sed hair is
# necessary to win for multi-line macro invocations.
-eval "`$M4 -I$AC_MACRODIR $use_localdir $r autoheader.m4$f $infile |
+eval "`$M4 -g -D__gnu__ -I$AC_MACRODIR $use_localdir autoheader.m4 $infile |
sed -n -e '
: again
/^@@@.*@@@$/s/^@@@\(.*\)@@@$/\1/p